function [h] = plotMotions(im,pp,pts_motion)
if(isempty(pts_motion))
    h = nan;
    return;
end
nMotions = length(pts_motion);
h = figure; imshow(im)
% colors = ['b' 'g' 'y' 'r' 'c' 'y' 'k' 'b' 'r' 'g' 'm' 'c' 'y' 'k'];
colors = ['m' 'y' 'g' 'r' 'c' 'b' 'k' 'b' 'r' 'g' 'm' 'c' 'y' 'k'];
excludeSet = [];
% excludeSet = [40 73 150 162 437 438 439 442 443 471];
% excludeSet = [40 73 150 162 437 438 439 442 443 471 255 259];
out = 1:size(pp,1);
for i = 1:nMotions,
    if(i <= 7)
        col = sprintf('%s*',colors(i));
    else
        col = sprintf('%so',colors(i));
    end
    hold on; plot(pp(setdiff(pts_motion{i},excludeSet),1),pp(setdiff(pts_motion{i},excludeSet),2),col);
    out = setdiff(out,pts_motion{i});
end
hold on; plot(pp(setdiff(out,excludeSet),1),pp(setdiff(out,excludeSet),2),'w+');

return
