function C = computeCovarianceMatrices_homography(X1,X2)

C = zeros(9,9,2*size(X1,2));

for i = 1:size(X1,2),
    x1 = X1(1,i); y1 = X1(2,i); w1 = X1(3,i); x2 = X2(1,i); y2 = X2(2,i);w2 = X2(3,i);

% J1 = [0    0   0     -w2      0    0    y2      0       0; ...
%       0    0   0      0     -w2    0    0       y2      0; ...
%       0    0   0      0      0    -w2   0       0       y2; ...
%       0    0   0      0      0     0    0       0       0; ...
%       0    0   0      0      0     0    x1      y1      1; ...
%       0    0   0     -x1    -y1   -w1   0       0       0];

J1 = [0	0 0 -1  0  0  y2   0  0
      0 0 0  0 -1  0   0  y2  0
      0 0 0  0  0  0   0   0  0
      0 0 0  0  0  0  x1  y1  1];

% J2 = [-w2     0      0      0    0    0    x2   0       0; ...
%       0      -w2     0      0    0    0    0    x2      0; ...
%       0       0     -w2     0    0    0    0    0       x2; ...
%       0       0      0      0    0    0    x1   y1      1; ...
%       0       0      0      0    0    0    0    0       0; ...
%       -x1    -y1    -w1     0    0    0    0    0       0];

J2 = [-1  0 0 0 0 0 x2  0 0;
       0 -1 0 0 0 0  0 x2 0;
       0  0 0 0 0 0 x1 y1 1;
       0  0 0 0 0 0  0  0 0];

  Cy = eye(4);
  
  C(:,:,2*i-1)    =  J1'*Cy*J1; % eye(9); %
  C(:,:,2*i)      =  J2'*Cy*J2; % eye(9); %
  
end

return