function C = calculateCovariances_fundamental(Y)

C = zeros(8,8,size(Y,2));
for i = 1:size(Y,2),
    x1 = Y(1,i);
    y1 = Y(2,i);
    x2 = Y(3,i);
    y2 = Y(4,i);
    Ci = [x1^2+x2^2     x2*y2       x2  x1*y1       0           0   x1  0
          x2*y2         x1^2+y2^2   y2  0           x1*y1       0   0   x1 
          x2            y2          1   0           0           0   0   0
          x1*y1         0           0   y1^2+x2^2   x2*y2       x2  y1  0
          0             x1*y1       0   x2*y2       y1^2+y2^2   y2  0   y1
          0             0           0   x2          y2          1   0   0
          x1            0           0   y1          0           0   1   0
          0             x1          0   0           y1          0   0   1];

    C(:,:,i) = Ci;
end


return