function hyps = generateHypotheses(nIter, N, X, degen_func)

if(isempty(X))
    hyps = [];
    return;
end

hyps = zeros(N,nIter);
npts = size(X,2);
counter = 0;
count = 0;

while(counter < 500000 && count < nIter)
    counter = counter + 1;
    count = count + 1;
    hyp = ceil(rand(N,1)*npts);
    if(length(unique(hyp)) < N)
        count = count - 1;
        continue
    else
        x = X(:,hyp);
        if(~degen_func(x))
            hyps(:,count) = hyp;
        end
    end
end

return
