function hyps = generateHypotheses(nIter, N, X, degen_func)

if(isempty(X))
    hyps = [];
    return;
end

hyps = zeros(N,nIter);
npts = size(X,2);
counter = 0;
count = 0;

while((counter < 10*nIter && count < nIter) )
    counter = counter + 1;
    count = count + 1;
    hyp = ceil(rand(N,1)*npts);
    if(length(unique(hyp)) < N)
        count = count - 1;
        continue
    else
        x = X(:,hyp);
        if(~degen_func(x))
            hyps(:,count) = hyp;
        else
            count = count - 1;
        end
    end
end

if(min(min(hyps)) == 0)
    hyps(:,count+1:end) = [];
end
if(size(hyps,2) == 0)
    hyps = (1:N)';
end
return;