#include <math.h>
#define pi 3.141592

static double gEpanechnikov(double u)
{
	if(u < 1 && u > 0)
		return 1.0;
	else
		return 0.0;
}

static double kEpanechnikov(double u)
{
	if(u > -1 && u < 1)
		return 1.0 - u;
	else
		return 0.0;
}

static double gGaussian(double u)
{
	return 3*exp(-3*u);
}

static double kGaussian(double u)
{
	return exp(-3*u);
}

static double gTukey(double u)
{
	if(u < 1 && u > 0)
		return 3*(1-u)*(1-u);
	else
		return 0.0;
}

static double kTukey(double u)
{
	if(u > -1 && u < 1)
		return (1.0 - u)*(1.0 - u)*(1.0 - u);
	else
		return 0.0;
}
