clear all
clc
currPath = pwd;
addpath(genpath(currPath));
archType = computer;
if(strcmp(archType,'PCWIN'))
    mex estimateFraction_mex.cpp blas_32.lib lapack_32.lib libf2c_32.lib
    mex estimateScaleFromFraction_mex.cpp blas_32.lib lapack_32.lib libf2c_32.lib
    mex estimateModel_mex.cpp ConjugateGradient.cpp blas_32.lib lapack_32.lib libf2c_32.lib
	mex dichotomize_mex.cpp blas_32.lib lapack_32.lib libf2c_32.lib
else
    mex estimateFraction_mex.cpp blas_64.lib lapack_64.lib libf2c_64.lib
    mex estimateScaleFromFraction_mex.cpp blas_64.lib lapack_64.lib libf2c_64.lib
    mex estimateModel_mex.cpp ConjugateGradient.cpp blas_64.lib lapack_64.lib libf2c_64.lib
	mex dichotomize_mex.cpp blas_64.lib lapack_64.lib libf2c_64.lib
end
